Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenJavaExpressionProvider

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenExpressionProviderBase, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenJavaExpressionProviderImpl

    public interface GenJavaExpressionProvider

extends GenExpressionProviderBase

A representation of the model object 'Gen Java Expression Provider'.

See Also:
  `GMFGenPackage.getGenJavaExpressionProvider()`
** Generated **
Model:

Method Summary
`java.lang.String` `getOperationName(ValueExpression expression)`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenExpressionProviderBase
`getContainer, getExpressions, getLanguage, getQualifiedInstanceClassName, getQualifiedTypeInstanceClassName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperationName

    java.lang.String getOperationName(ValueExpression expression)

  ** Generated **
  Model:
    expressionRequired="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.